com.smartgwt.client.util

## Class AsyncOperationContext

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.util.AsyncOperationContext

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers
  Direct Known Subclasses:
    AIContext, AsyncDataBoundOperationContext, BuildViaAIContext, SummarizeRecordsContext

      public class AsyncOperationContext
      extends RefDataClass

  Context for an asynchronous operation.
  See Also:
    `AsyncOperationParams`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncOperationContext()`
    `AsyncOperationContext(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancellationController` | `getCancellationController()` A `CancellationController` that the asynchronous operation should look to for whether the operation is canceled.
    `static AsyncOperationContext` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `AsyncOperationContext` | `setCancellationController(CancellationController cancellationController)` A `CancellationController` that the asynchronous operation should look to for whether the operation is canceled.

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncOperationContext

          public AsyncOperationContext()

    - #### AsyncOperationContext

          public AsyncOperationContext(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static AsyncOperationContext getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setCancellationController

          public AsyncOperationContext setCancellationController(CancellationController cancellationController)

      A `CancellationController` that the asynchronous operation should look to for whether the operation is canceled.

      This may be `null` if the invoker of the asynchronous operation does not need the ability to cancel. However, note that the `result type` may still be CANCELED; for example, the asynchronous operation may be self-canceling after a timeout.

      Implementations of asynchronous operations must treat this `CancellationController` as observer-only, and they cannot `cancel` it.

      Parameters:
        `cancellationController` - New cancellationController value. Default value is null
      Returns:
        `AsyncOperationContext` instance, for chaining setter calls

    - #### getCancellationController

          public CancellationController getCancellationController()

      A `CancellationController` that the asynchronous operation should look to for whether the operation is canceled.

      This may be `null` if the invoker of the asynchronous operation does not need the ability to cancel. However, note that the `result type` may still be CANCELED; for example, the asynchronous operation may be self-canceling after a timeout.

      Implementations of asynchronous operations must treat this `CancellationController` as observer-only, and they cannot `cancel` it.

      Returns:
        Current cancellationController value. Default value is null